Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
[Java] Class ManagedConcurrentMap

    java.lang.Object
      org.codehaus.groovy.util.AbstractConcurrentMapBase
          org.codehaus.groovy.util.AbstractConcurrentMap
              org.codehaus.groovy.util.ManagedConcurrentMap

    public class ManagedConcurrentMap
    extends AbstractConcurrentMap

Nested Class Summary
`static class` | `ManagedConcurrentMap.Entry`
`static class` | `ManagedConcurrentMap.EntryWithValue`
`static class` | `ManagedConcurrentMap.Segment`

Field Summary
`protected ReferenceBundle` | `bundle`

Fields inherited from class AbstractConcurrentMapBase
MAXIMUM_CAPACITY, segments

Constructor Summary
`ManagedConcurrentMap(ReferenceBundle bundle)`

Method Summary
`protected ManagedConcurrentMap.Segment` | `createSegment(Object segmentInfo, int cap)`

Methods inherited from class AbstractConcurrentMap
get, getOrPut, put, remove, segmentFor

Methods inherited from class AbstractConcurrentMapBase
createSegment, fullSize, hash, segmentFor, size

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### bundle

    protected ReferenceBundle bundle

Constructor Detail

### ManagedConcurrentMap

    public ManagedConcurrentMap(ReferenceBundle bundle)

Method Detail

### createSegment

    protected ManagedConcurrentMap.Segment createSegment(Object segmentInfo, int cap)

Copyright © 2003-2010 The Codehaus. All rights reserved.